#include "ofApp.h"
//--------------------------------------------------------------
void ofApp::setup(){	
    ofSetBackgroundColor(0);
    ofSetBackgroundAuto(false);
    radius=10;
    hasBeenTouched=false;
}
//--------------------------------------------------------------
void ofApp::update(){
}
//--------------------------------------------------------------
void ofApp::draw(){
    ofSetColor(255);
    ofSetLineWidth(radius);
    if(hasBeenTouched){
        ofDrawLine(prevX,prevY,posX,posY);
    }
}
//--------------------------------------------------------------
void ofApp::exit(){
}
//--------------------------------------------------------------
void ofApp::touchDown(ofTouchEventArgs & touch){
    if(hasBeenTouched==false){
        prevX=touch.x;
        prevY=touch.y;
        hasBeenTouched=true;
    }
    if(touch.id==0){
        posX=touch.x;
        posY=touch.y;
    }
}
//--------------------------------------------------------------
void ofApp::touchMoved(ofTouchEventArgs & touch){
    if(touch.id==0){
        prevX=posX;
        prevY=posY;
        posX=touch.x;
        posY=touch.y;
    }
}
//--------------------------------------------------------------
void ofApp::touchUp(ofTouchEventArgs & touch){
}
//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){
    ofSetColor(0);
    ofFill();
    ofDrawRectangle(0, 0, ofGetWidth(), ofGetHeight());
}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}

